Subject: Re: any place to mark various compatible strings as deprecated?

From: Olof Johansson <[email-masked]>
Date: Wed, 8 Apr 2009 11:01:12 -0500

On Wed, Apr 08, 2009 at 10:21:54AM -0500, Kumar Gala wrote:
>
> On Apr 8, 2009, at 9:48 AM, Olof Johansson wrote:
>
>> On Wed, Apr 08, 2009 at 09:23:22AM -0500, Kumar Gala wrote:
>>> Do we have anywhere to list out compatible strings that are  
>>> deprecated
>>> and warn if the kernel sees one?
>>
>> Wouldn't dtc be a better location for that? The kernel has to be  
>> backwards
>> compatible anyway, I don't really see a reason to warn there.
>
> The reason is I want to eventually drop support in the kernel for some  
> of the old compatibles.

If it's something that shipped then I don't see how you can ever
do that. Best thing you can do is do fixups like prom_init does and
translate them to the preferred compatible string of the week.

-Olof